Loading...
Searching...
No Matches
EST_VTCandidate Class Reference

`#include <include/EST_viterbi.h>`

Collaboration diagram for EST_VTCandidate:
[legend]

## Public Attributes

float | score
EST_Val | name
int | pos
EST_Item * | s
EST_VTCandidate * | next

## Detailed Description

Internal class to \Ref{EST_Viterbi_Decoder} used to a represent a candidate.

These objects need to be created and set by the user of the Viterbi decoder.

Author
  Alan W Black (awb@c.nosp@m.str..nosp@m.ed.ac.nosp@m..uk): July 1996

Definition at line 58 of file EST_viterbi.h.

## Constructor & Destructor Documentation

## EST_VTCandidate()

EST_VTCandidate::EST_VTCandidate | ( |  | ) |

inline

Definition at line 61 of file EST_viterbi.h.

## ~EST_VTCandidate()

EST_VTCandidate::~EST_VTCandidate | ( |  | ) |

inline

Definition at line 62 of file EST_viterbi.h.

## Member Data Documentation

## score

float EST_VTCandidate::score

Definition at line 63 of file EST_viterbi.h.

## name

EST_Val EST_VTCandidate::name

Definition at line 64 of file EST_viterbi.h.

## pos

int EST_VTCandidate::pos

Definition at line 65 of file EST_viterbi.h.

## s

EST_Item* EST_VTCandidate::s

Definition at line 66 of file EST_viterbi.h.

## next

EST_VTCandidate* EST_VTCandidate::next

Definition at line 67 of file EST_viterbi.h.

The documentation for this class was generated from the following file:

- include/EST_viterbi.h